/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package misclases;

import javax.swing.JOptionPane;

/**
 *
 * @author enriq
 */
public class jintNotaVenta extends javax.swing.JInternalFrame {
    
    public jintNotaVenta(){
    initComponents();
    this.resize(910,365);
    this.deshabilitar();
}
    
    public void deshabilitar(){
        this.txtAño.setEnabled(false);
        this.txtCliente.setEnabled(false);
        this.txtDia.setEnabled(false);
        this.txtMes.setEnabled(false);
        this.txtTotal.setEnabled(false);
        this.txtConcepto.setEnabled(false);
        this.txtFecha.setEnabled(false);
        this.txtTotalPagar.setEnabled(false);
        this.txtImpuesto.setEnabled(false);
        this.btnCancelar.setEnabled(false);
        this.btnGuardar.setEnabled(false);
        this.btnLimpiar.setEnabled(false);
        this.btnCerrar.setEnabled(false);
        this.rdbContado.setEnabled(false);
        this.rdbCredito.setEnabled(false);
        this.txtNumero.setEnabled(false);
        this.btnMostrar.setEnabled(false);
        
    }
    public void habilitar(){
        this.txtAño.setEnabled(true);
        this.txtCliente.setEnabled(true);
        this.txtDia.setEnabled(true);
        this.txtMes.setEnabled(true);
        this.txtTotal.setEnabled(true);
        this.txtConcepto.setEnabled(true);
        this.btnGuardar.setEnabled(true);
         this.btnLimpiar.setEnabled(true);
        this.btnCerrar.setEnabled(true);
        this.btnCancelar.setEnabled(true);
        this.txtNumero.setEnabled(true);
        this.rdbContado.setEnabled(true);
        this.rdbCredito.setEnabled(true);
    }
    
    public void limpiar(){
        this.txtAño.setText("");
        this.txtCliente.setText("");
        this.txtDia.setText("");
        this.txtMes.setText("");
        this.txtTotal.setText("");
        this.txtConcepto.setText("");
        this.txtNumero.setText("");
        this.txtTotalPagar.setText("");
        this.txtImpuesto.setText("");
        this.rdbContado.setSelected(true);
        this.txtFecha.setText("");
        
       
       
      
    }
    
    /**
     * Creates new form jintNotaVenta
     */
    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        lblFecha = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        txtMes = new javax.swing.JTextField();
        txtDia = new javax.swing.JTextField();
        txtAño = new javax.swing.JTextField();
        txtNumero = new javax.swing.JTextField();
        txtCliente = new javax.swing.JTextField();
        txtConcepto = new javax.swing.JTextField();
        txtTotal = new javax.swing.JTextField();
        rdbContado = new javax.swing.JRadioButton();
        rdbCredito = new javax.swing.JRadioButton();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        btnMostrar = new javax.swing.JButton();
        btnNuevo = new javax.swing.JButton();
        btnGuardar = new javax.swing.JButton();
        btnCerrar = new javax.swing.JButton();
        btnLimpiar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        jLabel11 = new javax.swing.JLabel();
        txtFecha = new javax.swing.JTextField();
        jLabel12 = new javax.swing.JLabel();
        txtTotalPagar = new javax.swing.JTextField();
        txtImpuesto = new javax.swing.JTextField();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setResizable(true);
        setTitle("Nota de Venta");
        getContentPane().setLayout(null);

        lblFecha.setText("Fecha :");
        getContentPane().add(lblFecha);
        lblFecha.setBounds(410, 10, 80, 30);

        jLabel3.setText("Cliente :");
        getContentPane().add(jLabel3);
        jLabel3.setBounds(90, 110, 48, 16);

        jLabel4.setText("Mes");
        getContentPane().add(jLabel4);
        jLabel4.setBounds(600, 80, 23, 16);

        jLabel5.setText("Año");
        getContentPane().add(jLabel5);
        jLabel5.setBounds(710, 80, 22, 16);

        jLabel6.setText("Numero de Nota :");
        getContentPane().add(jLabel6);
        jLabel6.setBounds(30, 70, 110, 20);

        jLabel9.setText("Dia");
        getContentPane().add(jLabel9);
        jLabel9.setBounds(500, 80, 30, 20);

        jLabel7.setText("Total :");
        getContentPane().add(jLabel7);
        jLabel7.setBounds(100, 180, 60, 20);

        jLabel8.setText("Concepto :");
        getContentPane().add(jLabel8);
        jLabel8.setBounds(80, 140, 80, 30);

        jLabel10.setText("Tipo :");
        getContentPane().add(jLabel10);
        jLabel10.setBounds(100, 230, 41, 16);
        getContentPane().add(txtMes);
        txtMes.setBounds(580, 50, 70, 30);

        txtDia.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtDiaActionPerformed(evt);
            }
        });
        getContentPane().add(txtDia);
        txtDia.setBounds(470, 50, 70, 30);
        getContentPane().add(txtAño);
        txtAño.setBounds(690, 50, 70, 30);
        getContentPane().add(txtNumero);
        txtNumero.setBounds(160, 60, 230, 30);
        getContentPane().add(txtCliente);
        txtCliente.setBounds(160, 100, 230, 30);
        getContentPane().add(txtConcepto);
        txtConcepto.setBounds(160, 140, 230, 30);
        getContentPane().add(txtTotal);
        txtTotal.setBounds(160, 180, 230, 30);

        buttonGroup1.add(rdbContado);
        rdbContado.setSelected(true);
        rdbContado.setText("Contado");
        getContentPane().add(rdbContado);
        rdbContado.setBounds(160, 230, 75, 25);

        buttonGroup1.add(rdbCredito);
        rdbCredito.setText("Credito");
        getContentPane().add(rdbCredito);
        rdbCredito.setBounds(290, 230, 69, 25);

        jLabel13.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel13.setText("/");
        getContentPane().add(jLabel13);
        jLabel13.setBounds(670, 50, 10, 20);

        jLabel14.setFont(new java.awt.Font("Tahoma", 0, 18)); // NOI18N
        jLabel14.setText("/");
        getContentPane().add(jLabel14);
        jLabel14.setBounds(560, 50, 10, 20);

        btnMostrar.setText("Mostrar");
        btnMostrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnMostrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnMostrar);
        btnMostrar.setBounds(800, 210, 90, 50);

        btnNuevo.setBackground(new java.awt.Color(255, 255, 255));
        btnNuevo.setText("Nuevo");
        btnNuevo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnNuevoActionPerformed(evt);
            }
        });
        getContentPane().add(btnNuevo);
        btnNuevo.setBounds(800, 50, 90, 50);

        btnGuardar.setText("Guardar");
        btnGuardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnGuardarActionPerformed(evt);
            }
        });
        getContentPane().add(btnGuardar);
        btnGuardar.setBounds(800, 130, 90, 50);

        btnCerrar.setText("Cerrar");
        btnCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCerrarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCerrar);
        btnCerrar.setBounds(320, 280, 90, 30);

        btnLimpiar.setBackground(new java.awt.Color(255, 255, 255));
        btnLimpiar.setText("Limpiar");
        btnLimpiar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnLimpiarActionPerformed(evt);
            }
        });
        getContentPane().add(btnLimpiar);
        btnLimpiar.setBounds(100, 280, 90, 30);

        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        getContentPane().add(btnCancelar);
        btnCancelar.setBounds(210, 280, 90, 30);

        jLabel11.setText("Impuesto :");
        getContentPane().add(jLabel11);
        jLabel11.setBounds(500, 150, 70, 20);

        txtFecha.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtFechaActionPerformed(evt);
            }
        });
        getContentPane().add(txtFecha);
        txtFecha.setBounds(460, 10, 300, 30);

        jLabel12.setText("Total a Pagar:");
        getContentPane().add(jLabel12);
        jLabel12.setBounds(480, 190, 90, 20);
        getContentPane().add(txtTotalPagar);
        txtTotalPagar.setBounds(580, 190, 130, 30);
        getContentPane().add(txtImpuesto);
        txtImpuesto.setBounds(580, 140, 130, 30);

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void txtDiaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtDiaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtDiaActionPerformed

    private void btnNuevoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnNuevoActionPerformed
        // TODO add your handling code here:
        this.limpiar();
        nota = new NotaVenta();
       
        this.habilitar();
        
    }//GEN-LAST:event_btnNuevoActionPerformed

    private void btnLimpiarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnLimpiarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
    }//GEN-LAST:event_btnLimpiarActionPerformed

    private void btnGuardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnGuardarActionPerformed
        // TODO add your handling code here:
        if (validar() == true) {
            JOptionPane.showMessageDialog(this, "Falto Capturar Informacion");
        }
        if ( validar() == false){
            hoy.setDia(Integer.parseInt(this.txtDia.getText()));
            hoy.setMes(Integer.parseInt(this.txtMes.getText()));
            hoy.setAño(Integer.parseInt(this.txtAño.getText()));
            
            nota.setFechaVenta(hoy);
            nota.setNumero(Integer.parseInt(this.txtNumero.getText()));
            nota.setNombreCliente((this.txtCliente.getText()));
            nota.setConcepto(this.txtConcepto.getText());
            nota.setTotal(Float.parseFloat(this.txtTotal.getText()));
            
            
            if( this.rdbContado.isSelected() == true ) nota.setTipo(1);
            else nota.setTipo(2);
            
            JOptionPane.showMessageDialog(this, "Se guardo con exito");
            this.btnMostrar.setEnabled(true);
            
        }
    }//GEN-LAST:event_btnGuardarActionPerformed

    private void btnMostrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnMostrarActionPerformed
        // TODO add your handling code here:
        
        this.txtDia.setText(String.valueOf(hoy.getDia()));
        this.txtMes.setText(String.valueOf(hoy.getMes()));
        this.txtAño.setText(String.valueOf(hoy.getAño()));
        this.txtImpuesto.setText(String.valueOf(nota.calcularImpuesto()));
        this.txtFecha.setText(String.valueOf(hoy.fechaFormato()));
        this.txtNumero.setText(String.valueOf(nota.getNumero()));
        this.txtCliente.setText(String.valueOf(nota.getNombreCliente()));
        this.txtTotalPagar.setText(String.valueOf(nota.calcularTotalPagar()));
        this.txtConcepto.setText(String.valueOf(nota.getConcepto()));
        this.txtTotal.setText(String.valueOf(nota.getTotal()));
        
        if (nota.getTipo() == 2) {
            rdbContado.setSelected(false);
            rdbCredito.setSelected(true);
        } 
        else {
            rdbContado.setSelected(true);
            rdbCredito.setSelected(false);   
        }
    }//GEN-LAST:event_btnMostrarActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        // TODO add your handling code here:
        this.limpiar();
        this.deshabilitar();
        
        
    }//GEN-LAST:event_btnCancelarActionPerformed

    private void btnCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCerrarActionPerformed
        // TODO add your handling code here:
        int opcion=0;
        
        opcion = JOptionPane.showConfirmDialog(this, "Deseas salir", "Nota de Venta",JOptionPane.YES_NO_OPTION );
        if(opcion==JOptionPane.YES_OPTION){
            this.dispose();
        }
    }//GEN-LAST:event_btnCerrarActionPerformed

    private void txtFechaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtFechaActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtFechaActionPerformed
        public boolean validar(){
            boolean exito = false;
            if (this.txtAño.getText().equals("")) exito=true;
            if (this.txtDia.getText().equals("")) exito=true;
            if (this.txtMes.getText().equals("")) exito=true;
            if (this.txtConcepto.getText().equals("")) exito=true;
            if (this.txtNumero.getText().equals("")) exito=true;
            if (this.txtCliente.getText().equals("")) exito=true;
            if (this.txtTotal.getText().equals("")) exito=true;
            return exito;
        }
        

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnCerrar;
    private javax.swing.JButton btnGuardar;
    private javax.swing.JButton btnLimpiar;
    private javax.swing.JButton btnMostrar;
    private javax.swing.JButton btnNuevo;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel lblFecha;
    private javax.swing.JRadioButton rdbContado;
    private javax.swing.JRadioButton rdbCredito;
    private javax.swing.JTextField txtAño;
    private javax.swing.JTextField txtCliente;
    private javax.swing.JTextField txtConcepto;
    private javax.swing.JTextField txtDia;
    private javax.swing.JTextField txtFecha;
    private javax.swing.JTextField txtImpuesto;
    private javax.swing.JTextField txtMes;
    private javax.swing.JTextField txtNumero;
    private javax.swing.JTextField txtTotal;
    private javax.swing.JTextField txtTotalPagar;
    // End of variables declaration//GEN-END:variables

private Fecha hoy = new Fecha();
private NotaVenta nota;
}
